<mat-icon>{{ icon }}</mat-icon>
<span class="message">{{ message }}</span>
<span *ngIf="queueLength !== 0"
    matTooltip="{{ queueLength }} {{ queueLength > 1 ? 'messages' : 'message' }} waiting"
    matTooltipPosition="right"
    class="queued">{{ queueLength > 9 ? '9+' : queueLength }}</span>
